Subject: Re: linux-next: manual merge of the rcu tree with the printk tree

From: Petr Mladek <[email-masked]>
Date: Fri, 9 Aug 2024 11:17:23 +0200

On Fri 2024-08-09 12:23:21, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the rcu tree got a conflict in:
> 
>   kernel/rcu/tree_exp.h
> 
> between commit:
> 
>   9a30ceb4d93e ("rcu: Mark emergency sections in rcu stalls")
> 
> from the printk tree and commits:
> 
>   34863005f96e ("rcu: Extract synchronize_rcu_expedited_stall() from synchronize_rcu_expedited_wait()")
>   c925e2f61399 ("rcu: Let dump_cpu_task() be used without preemption disabled")
> 
> from the rcu tree.
> 
> I fixed it up (I think - see below) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

I have removed the conflicting commit from the printk tree for now.
The patchset has to be reworked. And the new version won't include
nbcon_cpu_emergency_flush().

Sigh, this conflict existed already before 6.11 merge window.
At that time, Paul decided the postpone the RCU change to make the life easier,
see https://lore.kernel.org/r/[email-masked]

Unfortunately, Linus did not accept the printk changes during the
merge window for 6.11, see
https://lore.kernel.org/r/CAHk-=whU_woFnFN-3Jv2hNCmwLg_fkrT42AWwxm-=[email-masked]

I am sorry for all inconveniences.

Best Regards,
Petr